Bug 254009 - NM-Applet (Network Manager Applet) refuses to make a (wireless) connection.
Summary: NM-Applet (Network Manager Applet) refuses to make a (wireless) connection.
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-23 16:16 UTC by Mark
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 20:46:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark 2007-08-23 16:16:05 UTC
Description of problem:
nm-applet is not making a (wireless) connection.

Version-Release number of selected component (if applicable):


How reproducible:
Install rawhide and try to connect to a wireless access point

Steps to Reproduce:
1. Install F8 rawhide
2. Try to connect to wireless access point
  
Actual results:
You either get a error message in the console (if you opened nm-applet though
the console or nm-applet will just quit

Expected results:
Connect to the wireless access point

Additional info:
First of all i find it strange that the nm-applet isn't started.. not in F7, F8
test 1 and rawhide.

I also wonder why NetworkManager itself isn't started at default. Fedora starts
so many things at default but not one of the most importand ones..

The error i get when i open nm-applet in the console as a user (no root or su):
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot
open shared object file: No such file or directory

To bypass this bug you can install knetworkmanager and make a connection with
that program. that works fine.

Good luck.

Comment 1 Christopher Aillon 2007-08-23 18:36:22 UTC
nm-applet is started.  But the applet is hidden if the service is not started by
default.

Comment 2 Mark 2007-08-23 20:54:44 UTC
The service is started with me and nm-applet is shown but not under a users
account.. only under the root account.

Comment 3 Will Woods 2007-10-19 21:21:11 UTC
nm-applet is started by default, but it's hidden unless NetworkManager is running.

NetworkManager is not yet enabled by default - this is planned for a future
Fedora release. You can still enable it easily.

The "gnomebreakpad" message is an unrelated bug that's fixed now.

Does NetworkManager/nm-applet work for you now?

Comment 4 Will Woods 2008-03-18 20:46:31 UTC
No response from reporter after several months. NM in F8 works well enough for me. Closing.


Note You need to log in before you can comment on or make changes to this bug.